﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MvcPagingGrid.Models.ViewData.CarViewData>" %>

<asp:Content ID="indexHead" ContentPlaceHolderID="head" runat="server">
    <title>Home Page</title>
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <table class="Grid" cellpadding="0" cellspacing="0">
    <thead class = "GridHeader">
        <tr>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = true, Text="Make", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Make", SortExpressionKey="SortExpr" })%></th>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = false, Text="Model", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Model", SortExpressionKey="SortExpr" })%></th>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = false, Text="Year", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Year", SortExpressionKey="SortExpr" })%></th>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = false, Text="Color", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Color", SortExpressionKey="SortExpr" })%></th>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = false, Text="Miles", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Miles", SortExpressionKey="SortExpr" })%></th>
            <th><%=Html.SortLink(new GridSortingLinkProperties { IsDefaultSortColumn = false, Text="Doors", LinkSortDirection=SortDirection.Ascending,
                SortDirectionKey="SortDir", SortExpression="Doors", SortExpressionKey="SortExpr" })%></th>
            <th><span>Sunroof?</span></th>
            <th></th>
        </tr>
    </thead>
    <% foreach (MvcPagingGrid.Models.Car c in Model.Cars)
       { %>
        <tr>
            <td><span><%= c.Make %></span></td>
            <td><span><%= c.Model %></span></td>
            <td><span><%= c.Year %></span></td>
            <td><span><%= c.Color %></span></td>
            <td><span><%= c.Miles %></span></td>
            <td><span><%= c.Doors %></span></td>
            <td><span><%= c.Sunroof ? "Yes" : "No" %></span></td>    
            <td><%=Html.AddRedirectHyperLink(new RedirectProperties { Href=Url.RouteUrl("Default", new { action="View", controller="Home", id=c.Id}), Text="View Details" }) %>
                </td>
        </tr>
    <% } %>    
</table>
<%= Html.GridPager(new GridPagerProperties { PageKey="Page", PageSize=10, RecordCount=Model.CarCount }) %>

</asp:Content>
