﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using MvcPagingGrid.Models;
using System.Xml.Serialization;
using System.Xml;

namespace XmlData
{
    class Program
    {
        static void Main(string[] args)
        {
            ObjectToSerialize xmlStuff = new ObjectToSerialize();
            
            xmlStuff.Cars.Add(new Car { Color = "Red", Doors = 2, Make = "Volkswagen", Miles = 11000, Model = "Beetle", Sunroof = true, Year = 2008 });
            xmlStuff.Cars.Add(new Car { Color = "White", Doors = 4, Make = "Ford", Miles = 10000, Model = "Fusion", Sunroof = true, Year = 2007 });
            xmlStuff.Cars.Add(new Car { Color = "Green", Doors = 5, Make = "Chevrolet", Miles = 10100, Model = "Malibu", Sunroof = false, Year = 2006 });
            xmlStuff.Cars.Add(new Car { Color = "Blue", Doors = 2, Make = "Chrysler", Miles = 10010, Model = "Sebring", Sunroof = false, Year = 2005 });
            xmlStuff.Cars.Add(new Car { Color = "Orange", Doors = 4, Make = "Volkswagen", Miles = 10100, Model = "Jetta", Sunroof = true, Year = 2009 });
            xmlStuff.Cars.Add(new Car { Color = "Brown", Doors = 5, Make = "Ford", Miles = 11000, Model = "Taurus", Sunroof = true, Year = 2008 });
            xmlStuff.Cars.Add(new Car { Color = "Tan", Doors = 2, Make = "Ford", Miles = 10001, Model = "500", Sunroof = false, Year = 2007 });
            xmlStuff.Cars.Add(new Car { Color = "Red", Doors = 4, Make = "Volkswagen", Miles = 10100, Model = "Passat", Sunroof = false, Year = 2006 });
            xmlStuff.Cars.Add(new Car { Color = "Black", Doors = 5, Make = "Chrysler", Miles = 10010, Model = "3000", Sunroof = true, Year = 2005 });
            xmlStuff.Cars.Add(new Car { Color = "Gold", Doors = 2, Make = "Ford", Miles = 10001, Model = "Mustang", Sunroof = true, Year = 2009 });
            xmlStuff.Cars.Add(new Car { Color = "White", Doors = 4, Make = "Honda", Miles = 10010, Model = "Fit", Sunroof = true, Year = 2008 });
            xmlStuff.Cars.Add(new Car { Color = "Blue", Doors = 5, Make = "Honda", Miles = 10100, Model = "Element", Sunroof = true, Year = 2007 });
            xmlStuff.Cars.Add(new Car { Color = "Purple", Doors = 2, Make = "Volkswagen", Miles = 11000, Model = "Toureg", Sunroof = false, Year = 2006 });
            xmlStuff.Cars.Add(new Car { Color = "Yellow", Doors = 4, Make = "Nissan", Miles = 10090, Model = "Pathfinder", Sunroof = true, Year = 2005 });
            xmlStuff.Cars.Add(new Car { Color = "Orange", Doors = 5, Make = "Nissan", Miles = 10800, Model = "Altima", Sunroof = true, Year = 2009 });
            xmlStuff.Cars.Add(new Car { Color = "Blue", Doors = 2, Make = "Nissan", Miles = 1000, Model = "Maxima", Sunroof = false, Year = 2008 });
            xmlStuff.Cars.Add(new Car { Color = "Tan", Doors = 4, Make = "Nissan", Miles = 105600, Model = "Maxima", Sunroof = true, Year = 2007 });
            xmlStuff.Cars.Add(new Car { Color = "Blue", Doors = 5, Make = "Toyota", Miles = 10040, Model = "Camry", Sunroof = false, Year = 2006 });
            xmlStuff.Cars.Add(new Car { Color = "Red", Doors = 2, Make = "Toyota", Miles = 10009, Model = "Prius", Sunroof = true, Year = 2005 });
            xmlStuff.Cars.Add(new Car { Color = "Orange", Doors = 4, Make = "Toyota", Miles = 11000, Model = "Camry", Sunroof = true, Year = 2009 });
            xmlStuff.Cars.Add(new Car { Color = "Green", Doors = 5, Make = "Honda", Miles = 10050, Model = "Civic", Sunroof = false, Year = 2008 });
            xmlStuff.Cars.Add(new Car { Color = "Black", Doors = 2, Make = "Honda", Miles = 10780, Model = "Accord", Sunroof = true, Year = 2007 });
            xmlStuff.Cars.Add(new Car { Color = "Black", Doors = 4, Make = "Volkswagen", Miles = 10655, Model = "Jetta", Sunroof = true, Year = 2006 });
            xmlStuff.Cars.Add(new Car { Color = "Red", Doors = 5, Make = "Volkswagen", Miles = 65498, Model = "Beetle", Sunroof = false, Year = 2005 });

            Stream stream = File.Open("test.xml", FileMode.Create);

            XmlSerializer x = new XmlSerializer(typeof(List<Car>));

            // Serialize the list
            StringWriter sWriter = new StringWriter();
            XmlTextWriter xmlTextWriter = new XmlTextWriter(sWriter);
            x.Serialize(xmlTextWriter, xmlStuff.Cars);

            x.Serialize(stream, xmlStuff.Cars);
            //return sWriter.ToString();

            //BinaryFormatter bFormatter = new BinaryFormatter();
            //bFormatter.Serialize(stream, xmlStuff);
            stream.Close();
        }
    }
}
